Search Gradle plugins

Version 1.35.0 (latest)

Created 16 October 2019.

Validates dependency artifacts for expected checksums

Using the plugins DSL:

plugins {
  id "com.github.vlsi.checksum-dependency" version "1.35.0"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url "https://plugins.gradle.org/m2/"
    }
  }
  dependencies {
    classpath "com.github.vlsi.gradle:checksum-dependency-plugin:1.35.0"
  }
}

apply plugin: "com.github.vlsi.checksum-dependency"

Using the plugins DSL:

plugins {
  id("com.github.vlsi.checksum-dependency") version "1.35.0"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url = uri("https://plugins.gradle.org/m2/")
    }
  }
  dependencies {
    classpath("com.github.vlsi.gradle:checksum-dependency-plugin:1.35.0")
  }
}

apply(plugin = "com.github.vlsi.checksum-dependency")

Learn how to apply plugins to subprojects